//* Problem  : C - The Circumference of the Circle
//* Contest  : UzhNU Local
//* Origin   : Ulm-1996
//* Type     : Solution
//* Date     : 2008.02.04
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0
//* Algoritm : Straightforward

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>

#define PI 3.141592653589793

struct point{
	double x, y;
};

point a[3];

double res;

double len(point p1, point p2)
{
	double dx = p1.x - p2.x;
	double dy = p1.y - p2.y;
	return sqrt(dx * dx + dy * dy);
}

void solve()
{
	double aa = len(a[0], a[1]);
	double b = len(a[2], a[1]);
	double c = len(a[0], a[2]);
	double p = (aa + b + c) / 2.0;
	double s = sqrt(p * (p - aa) * (p - b) * (p - c));
	double r = aa * b * c / 4.0 / s;
	res =  2.0 * PI * r;
}

int main()
{
	int nt = 0;
	while (1)
	{
		if (scanf("%lf%lf%lf%lf%lf%lf", &a[0].x, &a[0].y, &a[1].x, &a[1].y, &a[2].x, &a[2].y) != 6) break;
		solve();
		printf("%.2lf\n", res);
	}
	return 0;
}